aboutsummaryrefslogtreecommitdiff
path: root/etc/bootstrap/bbot-bootstrap-macos.sh
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2017-10-20 13:31:52 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2017-10-20 13:31:52 +0200
commit1fcd5d1067254c40921df17b8de906c81934077a (patch)
tree71dc34b096c6ee9544d8e99c6240b7fbf4d3078d /etc/bootstrap/bbot-bootstrap-macos.sh
parent3ddab9d7360213cda421ac25f62cbf7ef92b513b (diff)
Add support for parallel bootstrap on Linux, Mac OS, and FreeBSD
Diffstat (limited to 'etc/bootstrap/bbot-bootstrap-macos.sh')
-rwxr-xr-xetc/bootstrap/bbot-bootstrap-macos.sh19
1 files changed, 16 insertions, 3 deletions
diff --git a/etc/bootstrap/bbot-bootstrap-macos.sh b/etc/bootstrap/bbot-bootstrap-macos.sh
index 039e802..e7f7be8 100755
--- a/etc/bootstrap/bbot-bootstrap-macos.sh
+++ b/etc/bootstrap/bbot-bootstrap-macos.sh
@@ -1,6 +1,19 @@
-#!/bin/bash
+#!/bin/sh
+
+# file : etc/bootstrap/bbot-bootstrap-macos.sh
+# copyright : Copyright (c) 2014-2017 Code Synthesis Ltd
+# license : TBC; see accompanying LICENSE file
# open -a Terminal -n -F ~/bbot-bootstrap-macos.sh
-~/bbot-bootstrap.sh --cxx clang++ --build /tmp \
- --environments "$HOME/environments"
+if ! jobs="$(sysctl -n hw.ncpu)"; then
+ jobs=1
+fi
+
+"$(dirname "$0")/bbot-bootstrap.sh" \
+ --cxx clang++ \
+ --build /tmp \
+ --environments "$HOME/environments" \
+ --make make \
+ --make "-j$jobs" \
+ "$@"